import { InfiniteScrollEvent, PositionStats } from '../models';
import { ElementRef, EventEmitter, OnDestroy, OnInit, NgZone } from '@angular/core';
import { PositionResolverFactory } from '../services/position-resolver';
import { ScrollRegister } from '../services/scroll-register';
import { ScrollResolver } from '../services/scroll-resolver';
export declare class InfiniteScrollDirective implements OnDestroy, OnInit {
    private element;
    private zone;
    private positionResolverFactory;
    private scrollRegister;
    private scrollerResolver;
    scrolled: EventEmitter<InfiniteScrollEvent>;
    scrolledUp: EventEmitter<InfiniteScrollEvent>;
    infiniteScrollDistance: number;
    infiniteScrollUpDistance: number;
    infiniteScrollThrottle: number;
    infiniteScrollDisabled: boolean;
    infiniteScrollContainer: any;
    scrollWindow: boolean;
    immediateCheck: boolean;
    horizontal: boolean;
    alwaysCallback: boolean;
    private disposeScroller;
    constructor(element: ElementRef, zone: NgZone, positionResolverFactory: PositionResolverFactory, scrollRegister: ScrollRegister, scrollerResolver: ScrollResolver);
    ngOnInit(): void;
    handleOnScroll(container: PositionStats): void;
    shouldTriggerEvents(shouldScroll: boolean): boolean;
    ngOnDestroy(): void;
    onScrollDown(data?: InfiniteScrollEvent): void;
    onScrollUp(data?: InfiniteScrollEvent): void;
    private resolveContainerElement();
}
